---
title: HTMLLabelElement
slug: Web/API/HTMLLabelElement
tags:
  - API
  - HTML DOM
  - HTMLLabelElement
  - Interface
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <strong><code>HTMLLabelElement</code></strong> interface gives access to properties specific to {{HTMLElement("label")}} elements. It inherits methods and properties from the base {{domxref("HTMLElement")}} interface.</p>

<p>{{InheritanceDiagram(600,120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLLabelElement.control")}} {{ReadOnlyInline}}</dt>
 <dd>Is a {{domxref("HTMLElement")}} representing the control with which the label is associated.</dd>
 <dt>{{domxref("HTMLLabelElement.form")}} {{ReadOnlyInline}}</dt>
 <dd>Is a {{domxref("HTMLFormElement")}} object representing the form with which the labeled control is associated, or <code>null</code> if there is no associated control, or if that control isn't associated with a form. In other words, this is just a shortcut for <code><em>HTMLLabelElement</em>.control.form</code>.</dd>
 <dt>{{domxref("HTMLLabelElement.htmlFor")}}</dt>
 <dd>Is a string containing the ID of the labeled control. This reflects the {{htmlattrxref("for", "label")}} attribute.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific methods; inherits methods from its parent, {{domxref("HTMLElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#htmllabelelement", "HTMLLabelElement")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "forms.html#the-label-element", "HTMLLabelElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>The property <code>accessKey</code> is now defined on {{domxref("HTMLElement")}}.<br>
    The following property has been added: <code>control</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-13691394', 'HTMLLabelElement')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName("DOM1")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-13691394', 'HTMLLabelElement')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLLabelElement")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface: {{HTMLElement("label")}}</li>
 <li>{{HTMLElement("form")}}</li>
 <li>{{domxref("HTMLFormElement")}}</li>
</ul>
